using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms.Tools.XPMenus;

namespace PopupEvents
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            popupMenu1.BeforePopup += new Syncfusion.Windows.Forms.CancelMouseEventHandler(popupMenu1_BeforePopup);            
        }

        BarItem b1 = new BarItem();        
        
        void popupMenu1_BeforePopup(object sender, Syncfusion.Windows.Forms.CancelMouseEventArgs e)
        {
            if (popupMenu1.GetPopupParentControl() == gradientPanel2)
            {
                b1.Text = "Newly Added";
                b1.ID = "New";
                parentBarItem1.Items.Add(b1);
            }
        }

        //ParentBarItem1 is associated with the PopupMenu1
        private void parentBarItem1_PopupClosed(object sender, EventArgs e)
        {
            parentBarItem1.Items.Remove(b1);
        }
	
    }
}